CREATE TABLE user
(
	user_id INT UNSIGNED AUTO_INCREMENT PRIMARY KEY,
	lastname CHAR(40) NOT NULL,
	firstname CHAR(40) NOT NULL,
	phone CHAR(10) NOT NULL,
	username CHAR(16) NOT NULL,
	password CHAR(40) BINARY NOT NULL,
	administrator ENUM('TRUE', 'FALSE') NOT NULL,
	deleted ENUM('TRUE', 'FALSE') NOT NULL,
	created DATETIME NOT NULL
)TYPE = MyISAM;

CREATE TABLE event
(
	event_id MEDIUMINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
	user_id SMALLINT UNSIGNED NOT NULL,
	message_id MEDIUMINT UNSIGNED NOT NULL,
	timestamp TIMESTAMP,
	status ENUM('In','Out') NOT NULL,
	creator SMALLINT UNSIGNED
)TYPE = MyISAM;

CREATE TABLE user_group
(
	group_name CHAR(20) NOT NULL,
	user_id SMALLINT UNSIGNED NOT NULL,
	level_id TINYINT UNSIGNED,
	PRIMARY KEY (user_id, group_name)
)TYPE = MyISAM;  

CREATE TABLE status
(
	message_id MEDIUMINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
	user_id SMALLINT UNSIGNED,
	message CHAR(255) NOT NULL,
	deleted ENUM('True','False')
)TYPE = MyISAM;

CREATE TABLE groups
(
	group_name CHAR(20) NOT NULL PRIMARY KEY,
	created DATETIME NOT NULL,
	scope ENUM('Public','Private'),
	deleted ENUM('True','False')
)TYPE = MyISAM;

CREATE TABLE admin_levels
(
	level_id TINYINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
	title CHAR(20) NOT NULL
)TYPE = MyISAM;